Bug 187011 - Dovecot pgsql/selinux policy missing
Summary: Dovecot pgsql/selinux policy missing
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-28 00:41 UTC by Adam H. Pendleton
Modified: 2014-01-21 22:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 21:12:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Policy created by audit2allow (415 bytes, text/plain)
2006-03-28 00:41 UTC, Adam H. Pendleton
no flags Details

Description Adam H. Pendleton 2006-03-28 00:41:39 UTC
Description of problem:  Dovecot is compiled with postgresql support, but
SELinux does not allow tcp connections between dovecot and postgresql.


Version-Release number of selected component (if applicable): 1.0.0.beta2.7


How reproducible:  100%


Steps to Reproduce:
1. Configure dovecot to access postgresql on tcp port
2. Run dovecot
3. Look at /var/log/audit/audit.log
  
Actual results:
type=AVC msg=audit(1143505368.215:14): avc:  denied  { name_connect } for 
pid=3512 comm="dovecot-auth" dest=5432
scontext=user_u:system_r:dovecot_auth_t:s0
tcontext=system_u:object_r:postgresql_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1143505368.215:14): avc:  denied  { recv_msg } for  pid=3512
comm="dovecot-auth" saddr=127.0.0.1 src=5432 daddr=127.0.0.1 dest=35472 netif=lo
scontext=user_u:system_r:dovecot_auth_t:s0
tcontext=system_u:object_r:postgresql_port_t:s0 tclass=tcp_socket


Expected results:
Nothing

Additional info:

Comment 1 Adam H. Pendleton 2006-03-28 00:41:40 UTC
Created attachment 126867 [details]
Policy created by audit2allow

Comment 2 Tomas Janousek 2006-12-22 17:27:09 UTC
This should be fixed in FC6, Daniel plans to fix it for FC5 as well.

Comment 3 Daniel Walsh 2007-02-14 21:12:44 UTC
I am not updating FC5 at this point, Either upgrade to FC6 policy or use
audit2allow to generate local policy.


Note You need to log in before you can comment on or make changes to this bug.